/* aucut ѥإåե
 * 05/29 2000
 * shige
 * aucut.h
 * 
 * $Id: aucut.h,v 1.5 2017-03-07 17:42:12+09 shige Exp $
 */
#ifndef __AUCUT_H__
#define __AUCUT_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "error.h"
#include "auio.h"
#include "g711.h"

typedef struct {
    long int pos,len;
} Aupos;

#ifdef __AUCUT_C__
#define SAMPLES 8000
/* #define Maxlevel 32124 */
#define Maxlevel (32767-1024)

#define Default_R 0.1		/* S/N Τ */
#define Default_T 0.01		/* ûǡĹ (s) */
#define Default_NT 0.01		/* ûʬĹ (s) */
#define Default_Path "."	/* եγǼѥ */
#define NeedOptions 2
#define PathDelimiter "/"
#define AuFileExt ".au"
#define MaxAufiles 200
#define MaxPathBuff 8192

#include "autable.h"

int verbose=0;

#endif

#ifdef __AUCUT_C__
# define EXTERN_AUCUT 
#else
# define EXTERN_AUCUT extern 
#endif

EXTERN_AUCUT int main(int argc,char *argv[]);
EXTERN_AUCUT void soundfcut(FILE *infile,FILE *outfile,Aupos *pos,
			    AUdata *InSnd);
EXTERN_AUCUT int putlineardata(AUdata *Snd,FILE *file);
EXTERN_AUCUT int openpathfile(FILE **Outfile,char *fname,char *path);
EXTERN_AUCUT int getmaxdata(AUdata *Snd,FILE *file);
EXTERN_AUCUT int getposdata(AUdata *Snd,FILE *file,int max,double R,
			    double T,double NT,Aupos h[]);
EXTERN_AUCUT int getarg(int argc,char *argv[],double *R,double *T,
			double *NT,char **Path,char *aufnames[],
			FILE **Infile);
EXTERN_AUCUT int op2aufnames(char *fnames[],int max,char *option);
EXTERN_AUCUT int searchautable(char *s);
EXTERN_AUCUT void usage(void);
#endif /* __AUCUT_H__ */
