#!/bin/csh -f
#
# Install command script
# shige
# cpandmod.csh
#
# $Id: cpandmod.csh,v 1.1 2000-09-19 15:55:15+09 shige Exp $
#
if ( $#argv != 5 ) then
    echo "Usage: $0 [owner] [group] [permission] [ofile] [nfile]"
    exit 1
endif
set uname = `uname`

if ( "X$uname" == "XFreeBSD" ) then
    set cp = /bin/cp
    set chmod = /bin/chmod
    set chown = /usr/sbin/chown
else
    set cp = /bin/cp
    set chmod = /bin/chmod
    set chown = /bin/chown
endif

$cp $argv[4] $argv[5]
$chmod $argv[3] $argv[5]
$chown ${argv[1]}:${argv[2]} $argv[5]
